## meritous 1.2+dfsg

=== Makefile ===
#
#   Makefile
#
#   Copyright 2007, 2008 Lancer-X/ASCEAI
#
#   This file is part of Meritous.
#
#   Meritous is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   Meritous is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Meritous.  If not, see <http://www.gnu.org/licenses/>.
#
LDFLAGS = `sdl-config --libs` -lSDL_image -lSDL_mixer -lz
CCFLAGS = -O2 -Wall `sdl-config --cflags` -g
#
OBJS = 	src/levelblit.o \
		src/mapgen.o \
		src/demon.o \
		src/gamemap.o \
		src/tiles.o \
		src/save.o \
		src/help.o \
		src/audio.o \
		src/boss.o \
		src/ending.o
#
default:	meritous

%.o:		%.c
		gcc -c -o $@ $? ${CCFLAGS}

meritous:	${OBJS}
		gcc -o $@ $+ ${LDFLAGS}

clean:		
		rm ${OBJS}

## meritous 1.4

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #   Makefile
 #
 #   Copyright 2007, 2008 Lancer-X/ASCEAI
+#   Copyright 2013 Sylvain Beucler
 #
 #   This file is part of Meritous.
 #
@@ -18,9 +19,13 @@
 #   You should have received a copy of the GNU General Public License
 #   along with Meritous.  If not, see <http://www.gnu.org/licenses/>.
 #
-LDFLAGS = `sdl-config --libs` -lSDL_image -lSDL_mixer -lz
-CCFLAGS = -O2 -Wall `sdl-config --cflags` -g
-#
+LDFLAGS += `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lm
+# To specify where the data files are located:
+#   export CPPFLAGS='-DDATADIR=\"/usr/share/meritous\"' && make
+# To put savegames in '~/' rather than '.':
+#   export CPPFLAGS=-DSAVES_IN_HOME && make
+CPPFLAGS += -O2 -Wall `sdl-config --cflags` -g
+
 OBJS = 	src/levelblit.o \
 		src/mapgen.o \
 		src/demon.o \
@@ -31,15 +36,9 @@
 		src/audio.o \
 		src/boss.o \
 		src/ending.o
-#
-default:	meritous
-
-%.o:		%.c
-		gcc -c -o $@ $? ${CCFLAGS}
 
 meritous:	${OBJS}
 		gcc -o $@ $+ ${LDFLAGS}
 
 clean:		
-		rm ${OBJS}
-
+		rm -f ${OBJS} meritous

=== AndroidData/Makefile ===
dat.zip:
	cd .. && zip -r AndroidData/dat-002.zip dat

=== debian/changelog ===
meritous (1.4-4) unstable; urgency=medium

  * Include scalable icon from upstream (fix appstream icon-too-small and
    gui-app-without-icon)
  * Preserve dpkg-buildflags' CPPFLAGS (fix dpkg-buildflags-missing)

 -- Sylvain Beucler <beuc@debian.org>  Sat, 02 Feb 2019 23:27:27 +0100

meritous (1.4-3) unstable; urgency=medium

  * Fix dbgsym-migration target package
  * Install AppStream file

 -- Sylvain Beucler <beuc@debian.org>  Sun, 27 Jan 2019 00:38:12 +0100

meritous (1.4-2) unstable; urgency=medium

  * Update upstream and Debian URLs
  * Update obsolete 'extra' priority to 'optional'
  * Bump compat to 12 (hopefully helping dpkg-buildflags-missing)
  * Bump Standard to 4.3.0 (no changes)
  * Use .png icon instead of .xpm
  * Remove old Debian menu entries
  * Ease potential cross-arch dependencies with Multi-Arch:foreign
  * Migrate debug symbols from manual -dbg to automated -dbgsym
  * Remove 'quilt' build-dependency, now built-in in dpkg
  * Update README.source

 -- Sylvain Beucler <beuc@debian.org>  Sat, 26 Jan 2019 22:50:53 +0100

meritous (1.4-1) unstable; urgency=low

  * New upstream release
  * Doc fixes
  * Bump Standard to 3.9.5 (no changes)
  * Fix lintian binary-control-field-duplicates-source and
    vcs-field-not-canonical

 -- Sylvain Beucler <beuc@debian.org>  Thu, 28 Nov 2013 19:13:17 +0100

meritous (1.3-1) unstable; urgency=low

  * New upstream release - all patches merged, non-free files removed

 -- Sylvain Beucler <beuc@debian.org>  Sat, 09 Nov 2013 12:15:49 +0100

meritous (1.2+dfsg-3) unstable; urgency=low

  * Reupload to unstable
  * Bump compat to 9 and patch Makefile to address lintian 'hardening-no-relro'
  * Bump Standard to 3.9.4

 -- Sylvain Beucler <beuc@debian.org>  Sun, 13 Oct 2013 17:46:50 +0200

meritous (1.2+dfsg-2) experimental; urgency=low

  * Reupload to Debian and take over (Closes: #696582)
  * Use debhelper 7
  * Use 3.0 source format
  * Add -dbg package
  * Add zlibg1-dev to Build-Depends, cf. #669571 (Closes: #669439)
  * Add note in debian/copyright to explain dfsg changes
  * Update path to manpages/docbook.xsl
  * Fix typo in description

 -- Sylvain Beucler <beuc@debian.org>  Sun, 23 Dec 2012 12:39:15 +0100

meritous (1.2+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/undefined-reference.patch: Fixed FTBFS.  Closes: #555597.
  * Fixed debian-watch-file-should-mangle-version.
  * Fixed dh_desktop-is-deprecated.

 -- Bart Martens <bartm@debian.org>  Tue, 04 Oct 2011 19:48:07 +0200

meritous (1.2+dfsg-1) unstable; urgency=low

  * Dylan R. E. Moonfire
    + src/levelblit.c: Updated the version to reflect the actual version
      instead of "1.1".
    + debian/control: Added Vcs- headers to point to Subversion
      repository.
    + Changed the location of the save game to use
      $HOME/.meritous.sav. This will use legacy save file if the new one
      cannot be found. (Closes: #465228)
    + src/help.c: Corrected a parsing bug with the help files that
      prevented users from reading the help files. (Closes: #465147)
    + Removed music files due to licensing issues. Patched code to make
      music files optional. (Closes: #465532)
    + debian/rules: Added a 'get-orig-source' target to repackage the
      original after removing the music files.
  * Bas Wijnen
    + src/boss.c: Applied a patch to handle an array overflow in the first
      boss fight. (Closes: #465051)

 -- Dylan R. E. Moonfire <debian@mfgames.com>  Mon, 11 Feb 2008 13:45:02 -0600

meritous (1.2-1) unstable; urgency=low

  * Initial release (Closes: #461102)
  * debian/patches/data_in_share.patch: Added patch to refer to data files
    into /usr/share/games/meritous.

 -- Dylan R. E. Moonfire <debian@mfgames.com>  Tue, 05 Feb 2008 22:14:53 -0600

=== debian/control ===
Source: meritous
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sylvain Beucler <beuc@debian.org>
Build-Depends: debhelper (>= 12~), libsdl-image1.2-dev, libsdl-mixer1.2-dev, xsltproc, docbook-xsl, zlib1g-dev
Standards-Version: 4.3.0
Homepage: https://gitlab.com/meritous
Vcs-Git: https://salsa.debian.org/games-team/meritous.git
Vcs-Browser: https://salsa.debian.org/games-team/meritous

Package: meritous
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, meritous-data (= ${source:Version})
Description: action-adventure dungeon crawl game
 Far below the surface of the planet is a secret.  A place of limitless
 power. Those that seek to control such a utopia will soon bring an end
 to themselves. Seeking an end to the troubles that plague him, PSI
 user MERIT journeys into the hallowed Orcus Dome in search of answers.
 .
 Meritous is a action-adventure game with simple controls but a
 challenge to find a balance of power verses recovery time during
 real-time battles. Set in a fractually-generated world, the player
 can explore thousands of rooms in search of powerful artifacts, tools
 to help them, and to eventually free the Orcus Dome from evil.

Package: meritous-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: action-adventure dungeon crawl game (datafiles)
 Meritous is a action-adventure game with simple controls but a
 challenge to find a balance of power verses recovery time during
 real-time battles. Set in a fractually-generated world, the player
 can explore thousands of rooms in search of powerful artifacts, tools
 to help them, and to eventually free the Orcus Dome from evil.
 .
 This package contains the architecture-independent data files used by
 meritous.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


DB2MAN=/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
XP=xsltproc --nonet

%:
	dh $@

override_dh_strip:
	# Create -dbg package with debug symbols for gdb
	dh_strip --dbgsym-migration='meritous-dbg (<< 1.4-2~)'

override_dh_auto_build:
	# Note: preserve dpkg-buildflags's CPPFLAGS
	CPPFLAGS="$$CPPFLAGS "'-DDATADIR=\"/usr/share/games/meritous\" -DSAVES_IN_HOME' \
	  dh_auto_build
	$(XP) $(DB2MAN) debian/meritous.xml
	# Work-around dh_install's inability to rename
	cp -a dat/i/icon.png debian/meritous.png

override_dh_auto_clean:
	# The $(MAKE) clean target doesn't clean properly when the
	# *.o files don't exist. Until they are fixed upstream, we
	# do it manually.
	#$(MAKE) clean
	rm -f src/*.o
	rm -f meritous
	rm -f meritous.6
	rm -f debian/meritous.png

## meritous 1.5

=== Makefile ===
#
#   Makefile
#
#   Copyright 2007, 2008 Lancer-X/ASCEAI
#   Copyright 2013, 2019 Sylvain Beucler
#
#   This file is part of Meritous.
#
#   Meritous is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   Meritous is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Meritous.  If not, see <http://www.gnu.org/licenses/>.
#

# Automake-style terminology
DESTDIR=
prefix=/usr/local
bindir=$(prefix)/bin
datarootdir=$(prefix)/share
datadir=$(datarootdir)
pkgdatadir=$(datadir)/meritous
localedir=$(datarootdir)/locale

# Tools
INSTALL=install
MKDIR_P=$(INSTALL) -d -m 00755
CP_R=cp -r --preserve=timestamps

# Compilations flags
CFLAGS ?= -O2 -g -Wall
#CFLAGS := $(CFLAGS) $(shell sdl-config --cflags)  # only work for env
override CFLAGS += $(shell sdl-config --cflags)    # work both env and cmdline
override CPPFLAGS += -MD -MP -DDATADIR='"$(pkgdatadir)"' -DLOCALEDIR='"$(localedir)"'
LDLIBS = -lSDL_mixer -lSDL_image $(shell sdl-config --libs) -lz -lm

all: meritous
.PHONY: all clean po/meritous.pot

OBJS = 	src/levelblit.o \
	src/mapgen.o \
	src/demon.o \
	src/gamemap.o \
	src/tiles.o \
	src/save.o \
	src/help.o \
	src/audio.o \
	src/boss.o \
	src/ending.o \
	src/i18n.o
DEPS = $(OBJS:.o=.d)
-include $(DEPS)

meritous: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $+ $(LDLIBS) -o $@

po/meritous.pot:
	cd po; intltool-update --pot --gettext-package=meritous

po/%.po: po/meritous.pot
	cd po; intltool-update --dist --gettext-package=meritous $*

install: meritous
	$(MKDIR_P) "$(DESTDIR)$(bindir)"
	$(INSTALL) meritous "$(DESTDIR)$(bindir)"

	$(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
	$(CP_R) dat/* "$(DESTDIR)$(pkgdatadir)/"

	$(MKDIR_P) "$(DESTDIR)$(localedir)"
	for i in $$(cd po/ && ls ??.po | sed 's/\.po$$//'); do \
		$(MKDIR_P) "$(DESTDIR)$(localedir)/$$i/LC_MESSAGES/"; \
		msgfmt --statistics po/$$i.po -o "$(DESTDIR)$(localedir)/$$i/LC_MESSAGES/meritous.mo"; \
	done

	$(MKDIR_P) "$(DESTDIR)$(datarootdir)/applications"
	$(MKDIR_P) "$(DESTDIR)$(datarootdir)/metainfo"
	$(MKDIR_P) "$(DESTDIR)$(datarootdir)/icons/hicolor/256x256/apps"
	$(MKDIR_P) "$(DESTDIR)$(datarootdir)/icons/hicolor/scalable/apps"
	intltool-merge -d -u po/ share/applications/net.asceai.meritous.desktop.in "$(DESTDIR)$(datarootdir)/applications/net.asceai.meritous.desktop"
	intltool-merge -x -u po/ share/metainfo/net.asceai.meritous.appdata.xml.in "$(DESTDIR)$(datarootdir)/metainfo/net.asceai.meritous.appdata.xml"
	$(CP_R) share/icons/hicolor/256x256/apps/meritous.png "$(DESTDIR)$(datarootdir)/icons/hicolor/256x256/apps/"
	$(CP_R) share/icons/hicolor/scalable/apps/meritous.svg "$(DESTDIR)$(datarootdir)/icons/hicolor/scalable/apps/"

	$(MKDIR_P) "$(DESTDIR)$(datarootdir)/man/man6/"
	$(CP_R) share/man/man6/meritous.6 "$(DESTDIR)$(datarootdir)/man/man6/"

uninstall:
	rm -f "$(DESTDIR)$(bindir)/meritous"
	rm -rf "$(DESTDIR)$(pkgdatadir)/a/"
	rm -rf "$(DESTDIR)$(pkgdatadir)/d/"
	rm -rf "$(DESTDIR)$(pkgdatadir)/i/"
	rm -rf "$(DESTDIR)$(pkgdatadir)/m/"
	for i in $$(cd po/ && ls ??.po | sed 's/\.po$$//'); do \
		rm -f "$(DESTDIR)$(localedir)/$$i/LC_MESSAGES/meritous.mo"; \
	done
	rm -f "$(DESTDIR)$(datarootdir)/applications/net.asceai.meritous.desktop"
	rm -f "$(DESTDIR)$(datarootdir)/metainfo/net.asceai.meritous.appdata.xml"
	rm -f "$(DESTDIR)$(datarootdir)/icons/hicolor/256x256/apps/meritous.png"
	rm -f "$(DESTDIR)$(datarootdir)/icons/hicolor/scalable/apps/meritous.svg"

	rm -f "$(DESTDIR)$(datarootdir)/man/man6/meritous.6"

clean:		
	rm -f $(OBJS) $(DEPS) meritous po/*.mo

=== AndroidData/Makefile ===
dat-004.zip:
	cd .. && zip -r AndroidData/dat-004.zip dat

=== debian/changelog ===
meritous (1.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097381)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 13:55:39 +0300

meritous (1.5-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 16:40:37 +0100

meritous (1.5-1) unstable; urgency=medium

  * New upstream release merging Debian additions
  * Revamp packaging

 -- Sylvain Beucler <beuc@debian.org>  Wed, 27 Feb 2019 00:12:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Sylvain Beucler <beuc@debian.org>
-Build-Depends: debhelper (>= 12~), libsdl-image1.2-dev, libsdl-mixer1.2-dev, xsltproc, docbook-xsl, zlib1g-dev
+Build-Depends: debhelper (>= 12~), libsdl-image1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, intltool
 Standards-Version: 4.3.0
 Homepage: https://gitlab.com/meritous
 Vcs-Git: https://salsa.debian.org/games-team/meritous.git
@@ -20,7 +20,7 @@
  .
  Meritous is a action-adventure game with simple controls but a
  challenge to find a balance of power verses recovery time during
- real-time battles. Set in a fractually-generated world, the player
+ real-time battles. Set in a procedurally generated world, the player
  can explore thousands of rooms in search of powerful artifacts, tools
  to help them, and to eventually free the Orcus Dome from evil.
 
@@ -31,7 +31,7 @@
 Description: action-adventure dungeon crawl game (datafiles)
  Meritous is a action-adventure game with simple controls but a
  challenge to find a balance of power verses recovery time during
- real-time battles. Set in a fractually-generated world, the player
+ greal-time battles. Set in a procedurally generated world, the player
  can explore thousands of rooms in search of powerful artifacts, tools
  to help them, and to eventually free the Orcus Dome from evil.
  .

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_strip:
	# Create -dbg package with debug symbols for gdb
	dh_strip --dbgsym-migration='meritous-dbg (<< 1.4-2~)'

override_dh_auto_build:
	dh_auto_build -- \
	  prefix=/usr bindir=/usr/games datadir=/usr/share/games

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/meritous prefix=/usr bindir=/usr/games datadir=/usr/share/games
	mkdir -p debian/meritous-data/usr/share/games
	mv debian/meritous/usr/share/games/meritous debian/meritous-data/usr/share/games

override_dh_auto_clean:
	$(MAKE) clean

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
opts=dversionmangle=s/\+dfsg$// \
http://www.asceai.net/meritous/ .*?meritous_v(\d)(\d)_src.tar.bz2.*
